Subject: Re: [BUG] New Kernel Bugs

From: Ingo Molnar <[email-masked]>
Date: Wed, 14 Nov 2007 15:30:40 +0100

* Mark Lord <[email-masked]> wrote:

>> You're assuming that everything in linux-2.6 was downloaded; that's 
>> not true.  Everything in linux-2.6/.git was downloaded; but then you 
>> do a checkout which happens to approximately double the size of the 
>> linux-2.6 directory.
> ..
>
> Ah, I wondered why it took only half an hour to download.

and you can get even lower than the 260MB by downloading a shallow clone 
of v2.6.23 and then populating the git tree from tht point on. (see the 
--depth parameter of git-clone) [because most of the time you want to 
bisect back to the last stable release, not back to 2 years of git 
history.]

	Ingo